Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# AnimGroup Class Reference

This is the base class for AnimChannel and AnimBundle. More...

Inheritance diagram for AnimGroup:

List of all members.

## Public Member Functions
| AnimGroup (AnimGroup parent, string name)
| Creates the AnimGroup, and adds it to the indicated parent.
AnimGroup | findChild (string name)
| Returns the first descendant found with the indicated name, or NULL if no such descendant exists.
AnimGroup | getChild (int n)
| Returns the nth child of the group.
AnimGroup | getChildNamed (string name)
| Returns the first child found with the indicated name, or NULL if no such child exists.
list | getChildren ()
int | getNumChildren ()
| Returns the number of child nodes of the group.
| output (ostream out)
| Writes a one-line description of the group.
| sortDescendants ()
| Sorts the children nodes at each level of the hierarchy into alphabetical order.
| write (ostream out, int indent_level)
| Writes a brief description of the group and all of its descendants.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is the base class for AnimChannel and AnimBundle.

It implements a hierarchy of AnimChannels. The root of the hierarchy must be an AnimBundle.

## Constructor & Destructor Documentation

AnimGroup | ( | AnimGroup | parent,
|  | string | name
| ) |  |

Creates the AnimGroup, and adds it to the indicated parent.

The only way to delete it subsequently is to delete the entire hierarchy.

## Member Function Documentation

AnimGroup findChild | ( | string | name | ) |

Returns the first descendant found with the indicated name, or NULL if no such descendant exists.

This method searches the entire graph beginning at this AnimGroup; see also get_child_named().

AnimGroup getChild | ( | int | n | ) |

Returns the nth child of the group.

AnimGroup getChildNamed | ( | string | name | ) |

Returns the first child found with the indicated name, or NULL if no such child exists.

This method searches only the children of this particular AnimGroup; it does not recursively search the entire graph. See also find_child().

list getChildren | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from Namable.

Reimplemented in AnimBundle, AnimChannelBase, AnimChannelMatrix, AnimChannelScalar, AnimChannelMatrixDynamic, AnimChannelMatrixXfmTable, AnimChannelScalarDynamic, and AnimChannelScalarTable.

int getNumChildren | ( |  | ) |

Returns the number of child nodes of the group.

output | ( | ostream | out | ) |

Writes a one-line description of the group.

Reimplemented from Namable.

sortDescendants | ( |  | ) |

Sorts the children nodes at each level of the hierarchy into alphabetical order.

This should be done after creating the hierarchy, to guarantee that the correct names will match up together when the AnimBundle is later bound to a PlayerRoot.

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

Writes a brief description of the group and all of its descendants.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties